
Ruby - Bug #17655

Experiencing Repeated Segmentation Faults Using Puma with Ruby 3.0.0

02/24/2021 10:07 PM - jlevnhv (Josh Levinson)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7:

UNKNOWN, 3.0: UNKNOWN

Description

Issue occurred with Puma and Ruby 3.0.0. I've attached the text scrollback from Puma, it's quite long.

History

#1 - 02/24/2021 10:50 PM - jlevnhv (Josh Levinson)

Rails -v 6.1.2.1

#2 - 02/24/2021 10:53 PM - jlevnhv (Josh Levinson)

This looks like the method which caused the seg fault on line 317

# ~/.rvm/gems/ruby-3.0.0/gems/actionpack-6.1.2.1/lib/action_dispatch/routing/route_set.rb   

--316           def define_url_helper(mod, name, helper, url_strategy)

  317             mod.define_method(name) do |*args|

  318               last = args.last

  319               options = \

  320                 case last

  321                 when Hash

  322                   args.pop

  323                 when ActionController::Parameters

  324                   args.pop.to_h

  325                 end

  326               helper.call(self, name, args, options, url_strategy)

  327             end

  328           end

  329       end

#3 - 02/25/2021 07:48 AM - vo.x (Vit Ondruch)

This reminds me #17536

#4 - 02/25/2021 05:05 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Feedback

Can you please test with the master branch to see if this issue has been resolved?  If it still is present in the master branch, please try to develop a

minimal self-contained reproducible example.

#5 - 03/24/2021 11:34 AM - p8 (Petrik de Heus)

This seems similar to the following fixed issue: https://bugs.ruby-lang.org/issues/17728

#6 - 06/15/2021 11:16 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
